Skip to main content

Batch add requests to default request queue

POST 

/v2/actor-runs/:runId/request-queue/requests/batch

Adds requests to the default request queue of the Actor run in batch.

This endpoint is a shortcut for getting the run's defaultRequestQueueId and then using the Add requests endpoint.

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T

Query Parameters

    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc
    forefront string

    Determines if request should be added to the head of the queue or to the end. Default value is false (end of queue).


    Example: false

Body arrayrequired

  • uniqueKey UniqueKey (string)

    A unique key used for request de-duplication. Requests with the same unique key are considered identical.


    Example: GET|60d83e70|e3b0c442|https://apify.com
  • url RequestUrl (string)

    The URL of the request.


    Example: https://apify.com
  • method HttpMethod (string)

    Possible values: [GET, HEAD, POST, PUT, DELETE, CONNECT, OPTIONS, TRACE, PATCH]


    Example: GET
  • retryCount RetryCount (integer)

    The number of times this request has been retried.


    Example: 0
  • loadedUrl string | null nullable

    The final URL that was loaded, after redirects (if any).


    Example: https://apify.com/jobs
  • payload string | object | null nullable

    The request payload, typically used with POST or PUT requests.


    Example: null
  • headers object | null nullable

    HTTP headers sent with the request.


    Example: null
  • userData object

    Custom user data attached to the request. Can contain arbitrary fields.

    • property name* any

      Custom user data attached to the request. Can contain arbitrary fields.


      Example: {"label":"DETAIL","customField":"custom-value"}
  • noRetry boolean | null nullable

    Indicates whether the request should not be retried if processing fails.


    Example: false
  • errorMessages string[] nullable

    Error messages recorded from failed processing attempts.


    Example: null
  • handledAt string,null<date-time> nullable

    The timestamp when the request was marked as handled, if applicable.


    Example: 2019-06-16T10:23:31.607Z

Status 201

Response Headers
    {
    "data": {
    "processedRequests": [
    {
    "requestId": "YiKoxjkaS9gjGTqhF",
    "uniqueKey": "http://example.com",
    "wasAlreadyPresent": true,
    "wasAlreadyHandled": false
    }
    ],
    "unprocessedRequests": [
    {
    "uniqueKey": "http://example.com/2",
    "url": "http://example.com/2",
    "method": "GET"
    }
    ]
    }
    }